CLANG-FORMAT-DIFF.PY(1)

NAME
clang-format-diff.py - manual page for clang-format-diff.py 8

DESCRIPTION
usage: clang-format-diff.py [-h] [-i] [-p NUM] [-regex PATTERN]

[-iregex PATTERN] [-sort-includes] [-v]
    [-style STYLE] [-binary BINARY]

Reformat changed lines in diff. Without -i option just output the diff that would be introduced.

  optional arguments:

-h, --help
    show this help message and exit

-i  apply edits to files instead of displaying a diff

-p NUM
    strip the smallest prefix containing P slashes

-regex PATTERN
    custom pattern selecting file paths to reformat (case sensitive, overrides -iregex)

-iregex PATTERN
    custom pattern selecting file paths to reformat (case insensitive, overridden by -regex)

-sort-includes
    let clang-format sort include blocks

-v, --verbose
    be more verbose, ineffective without -i

-style STYLE
    formatting style to apply (LLVM, Google, Chromium, Mozilla, WebKit)

-binary BINARY
    location of binary to use for clang-format